See more...

Downgrade 05.13.03 Baseband On iPhone 3G With FuzzyBand

Apple has released iPhone 4.0 OS, it is Beta release and upgrade to 4.0 firmware isn't recommended till we get an official release. Switching to latest 4.0 Beta will updated baseband to 05.13.03 and at the moment no unlock tool is available for 05.13.03 baseband. This guide will help you to downgrade from 05.13.03 baseband to 04.26.08 which is necessary to unlock your iPhone later via ultrasn0w. The task is done with FuzzyBand app which has been upgraded to support iPhone 4.0 OS. Please note that the tools is for older bootloader 05.08 (5.8) and it will work on iPhone 3G only.

Steps to Downgrade from iPhone 4.0 Baseband 05.13.03 to Older Baseband

  1. You must jailbreak your iPhone 3G running on firmware 4.0 before you may downgrade your baseband version from 05.12.01 to 04.26.08. Please refer here for stepwise procedure to jailbreak your device.
  2. After you have jailbroken your iPhone, Go to Cydia on your iPhone and Search for Fuzzyband and then install this application
  3. Start Fuzzyband app and touch on Downgrade button to downgrade your Baseband as shown below:

  4. Now you can unlock your iPhone 3G with Ultrasn0w, step-wise instruction are posted here.

NOTE: We don't recommend to use Fuzzyband on OS 4.0 because Cydia encounter some problems on it, so try this at your own risk.

For our complete coverage on iPhone 4.0 OS, please visit here.

Contact Us for News Tips, Corrections and Feedback
Leave a message...